#!/bin/bash
read -p "Enter language (DE - Deutsch, other - English) [EN]: " LOCALE
if [ -z "$LOCALE" ]; then
  LOCALE="EN"
fi
if [ "$LOCALE" != "DE" ]; then
  LOCALE="EN"
fi

if [ "$LOCALE" == "EN" ]; then
  more license.txt
  read -p "Do you accept the license agreement (yes/no) [yes]: " LICENSE
  if [ -z "$LICENSE" ]; then
    LICENSE="yes"
  fi
  if [ "$LICENSE" != "yes" ]; then
    exit -1
  fi
else
  more lizenz-deutsch.txt
  read -p "Akzeptieren Sie en Lizenzvertrag (ja/nein) [ja]: " LICENSE
  if [ -z "$LICENSE" ]; then
    LICENSE="ja"
  fi
  if [ "$LICENSE" != "ja" ]; then
    exit -1
  fi
fi

if [ "$LOCALE" == "EN" ]; then
  read -p "Installation directory [$HOME]: " INSTALLDIR
else
  read -p "Installationsverzeichnis [$HOME]: " INSTALLDIR
fi
if [ -z "$INSTALLDIR" ]; then
  INSTALLDIR="$HOME"
fi

if [ ! -d "$INSTALLDIR" ]; then
  mkdir "$INSTALLDIR"
fi

mkdir "$INSTALLDIR"/fdda
cp license.txt "$INSTALLDIR"/fdda
cp lizenz-deutsch.txt "$INSTALLDIR"/fdda
cp logging.properties "$INSTALLDIR"/fdda
cp fdda.jar "$INSTALLDIR"/fdda
cp resources.zip "$INSTALLDIR"/fdda
unzip "$INSTALLDIR"/fdda/resources.zip -d "$INSTALLDIR"/fdda
rm -f "$INSTALLDIR"/fdda/resources.zip
mkdir "$INSTALLDIR"/fdda/DTDs
cp DTDs/project.dtd "$INSTALLDIR"/fdda/DTDs
cp DTDs/algorithm.dtd "$INSTALLDIR"/fdda/DTDs
cp sources.zip "$INSTALLDIR"/fdda
unzip "$INSTALLDIR"/fdda/sources.zip -d "$INSTALLDIR"/fdda
cp fdda.ico "$INSTALLDIR"/fdda

mkdir "$HOME"/fdda
mkdir "$HOME"/fdda/projects
cp EchoAlgorithm.xml "$HOME"/fdda/projects
cp TokenRingElection.xml "$HOME"/fdda/projects
mkdir "$HOME"/fdda/algorithms
mkdir "$HOME"/fdda/algorithms/demo
cp tokenring.jar "$HOME"/fdda/algorithms/demo
cp EchoFlooding.class "$HOME"/fdda/algorithms/demo
cp EchoFlooding.xml "$HOME"/fdda/algorithms/demo
mkdir "$HOME"/fdda/algorithms/demo/tokenring
cp RingElection.java "$HOME"/fdda/algorithms/demo/tokenring
cp TokenRingNode.java "$HOME"/fdda/algorithms/demo/tokenring

echo "#!/bin/sh" > "$INSTALLDIR"/fdda/fdda.sh
echo "java -classpath \"$INSTALLDIR/fdda/fdda.jar:$INSTALLDIR/fdda/resources:$INSTALLDIR/fdda/images\" -Dsystem.home=\"$INSTALLDIR/fdda\" -Duser.home=\"$HOME\" -Djava.util.logging.config.file=\"$INSTALLDIR/FDDA/logging.properties\" fdda.Fdda --locale $LOCALE" >> "$INSTALLDIR"/fdda/fdda.sh
chmod 755 "$INSTALLDIR"/fdda/fdda.sh

if [ ! -d "$INSTALLDIR/bin" ]; then
  mkdir "$INSTALLDIR/bin"
fi

ln -s "$INSTALLDIR"/fdda/fdda.sh "$INSTALLDIR"/bin/fdda

if [ "$LOCALE" == EN ]; then
  echo "To uninstall, remove:"
  echo "  the directory $INSTALLDIR/fdda"
  echo "  the symbolic link $INSTALLDIR/bin/fdda"
  echo "  the directory $HOME/fdda"
  echo ""
  echo "To run, call $INSTALLDIR/bin/fdda."
else
  echo "Zum Deinstallieren entfernen Sie bitte:"
  echo "  das Verzeichnis $INSTALLDIR/fdda"
  echo "  den Link $INSTALLDIR/bin/fdda"
  echo "  das Verzeichnis $HOME/fdda"
  echo ""
  echo "Um FDDA zu starten, rufen Sie $INSTALLDIR/bin/fdda auf."
fi
