/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.algorithm;

/**
 * Helper class for the implementation of nodes. Provides empty default 
 * implementations for all the abstract methods a concrete node must 
 * implement.
 * @author Jrg Rdenauer
 */
public abstract class NodeAdapter extends Node {

  /**
   * Constructor
   */
  public NodeAdapter() {
    super();
  }

  /* (non-Javadoc)
   * @see fdda.algorithm.Node#initialize()
   */
  public void initialize() {
  }
  
  /*
   *  (non-Javadoc)
   * @see fdda.algorithm.Node#prepareForStart()
   */
  protected void prepareForStart() {
  }
  
  /*
   *  (non-Javadoc)
   * @see fdda.algorithm.Node#start()
   */
  protected void start() throws WrongStateException {
  }

  /* (non-Javadoc)
   * @see fdda.algorithm.Node#run()
   */
  protected void run() throws WrongStateException {
  }

  /* (non-Javadoc)
   * @see fdda.algorithm.Node#messageReceived(fdda.algorithm.Node, fdda.algorithm.Message)
   */
  protected void messageReceived(Node sender, Message msg) 
  throws WrongStateException {
  }

}
