/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.algorithm;

/**
 * This exception is thrown if e.g. messages shall be sent while no demo is 
 * running. It is also thrown if one attempts to start a demo that is already
 * running or to stop one that is not running.
 * @author Jrg Rdenauer
 */
public class WrongStateException extends Exception {

  /**
   * Default constructor
   */
  public WrongStateException() {
    super();
  }

  /**
   * Constructor with message
   * 
   * @param message the message
   */
  public WrongStateException(String message) {
    super(message);
  }

  /**
   * Constructor with cause
   * 
   * @param cause the cause
   */
  public WrongStateException(Throwable cause) {
    super(cause);
  }

  /**
   * Constructor with message and cause
   * @param message the message
   * @param cause the cause
   */
  public WrongStateException(String message, Throwable cause) {
    super(message, cause);
  }

}
