/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.core.impl;

import fdda.core.Core;
import fdda.core.demonstration.Demonstration;
import fdda.core.modelling.ModelManager;
import fdda.core.projects.ProjectManager;

/**
 * Implementation of the core component interface.
 * @author Jrg Rdenauer
 */
public class CoreImplementation extends Core {

  /** the object managing demonstrations */
  private Demonstration demonstration;

  /** the object managing the model */
  private ModelManager modelManager = null;
  
  /** the object managing the projects */
  private ProjectManager projectManager = null;

  /*
   *  (non-Javadoc)
   * @see fdda.core.Core#internalGetModelManager()
   */
  protected ModelManager internalGetModelManager() {
    if (modelManager == null) {
      modelManager = new ModellingManagerImpl();
    }
    return modelManager;
  }
  
  /*
   *  (non-Javadoc)
   * @see fdda.core.Core#internalGetDemonstration()
   */
  protected Demonstration internalGetDemonstration() {
    if (demonstration == null) {
      demonstration = new DemonstrationImpl();
    }
    return demonstration;
  }
  
  /*
   *  (non-Javadoc)
   * @see fdda.core.Core#internalGetProjectManager()
   */
  protected ProjectManager internalGetProjectManager() {
    if (projectManager == null) {
      projectManager = new ProjectManagerImpl();
    }
    return projectManager;
  }

}
