/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.core.projects;

import java.util.EventListener;

/**
 * Interface for listeners on projects.
 * @author Jrg Rdenauer
 */
public interface ProjectListener extends EventListener {
  
  /**
   * Informs the listener that a project has been opened
   * @param e the event
   */
  void projectOpened(ProjectEvent e);
  
  /**
   * Informs the listener that a project has been closed
   * @param e the event
   */
  void projectClosed(ProjectEvent e);
  
  /**
   * Informs the listener that another project has been activated
   * @param e the event
   */
  void activeProjectChanged(ProjectEvent e);
  
  /**
   * Informs the listener that a project has changed its state
   * @param e the event
   */
  void projectStateChanged(ProjectEvent e);
  
  /**
   * Informs the listener that the name of a project has been changed
   * @param e the event
   */
  void projectNameChanged(ProjectEvent e);

}