/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.dialog;

/**
 * Contains the data for the algorithm dialog
 * @author Jrg Rdenauer
 */
public class AlgorithmData {
  
  /** the currently selected algorithm */
  private String currentAlgorithm;
  /** the choices */
  private String[] knownAlgorithms;
  /** the descriptions of the algorithms */
  private String[] algorithmDescriptions;

  /**
   * Returns the currently selected algorithm
   * @return the algorithm
   */
  public String getCurrentAlgorithm() {
    return currentAlgorithm;
  }

  /**
   * Sets the currently selected algorithm
   * @param string the algorithm
   */
  public void setCurrentAlgorithm(String string) {
    currentAlgorithm = string;
  }

  /**
   * Returns the algorithm descriptions
   * @return the descriptions
   */
  public String[] getAlgorithmDescriptions() {
    return algorithmDescriptions;
  }

  /**
   * Returns the known algorithms
   * @return the algorithms
   */
  public String[] getKnownAlgorithms() {
    return knownAlgorithms;
  }

  /**
   * Sets the algorithm descriptions
   * @param strings the descriptions
   */
  public void setAlgorithmDescriptions(String[] strings) {
    algorithmDescriptions = strings;
  }

  /**
   * Sets the known algorithms
   * @param strings the algorithms
   */
  public void setKnownAlgorithms(String[] strings) {
    knownAlgorithms = strings;
  }

}
