/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.dialog.java2d;

/**
 * Exception that is thrown if a manipulater isn't used correctly. May contain
 * a reason for the throwing, coded as an int.
 * @author Jrg Rdenauer
 */
public class NoSuitableComponentException extends Exception {
  
  /** the reason */
  private final int reason;

  /**
   * Constructor
   */
  public NoSuitableComponentException() {
    super();
    reason = -1;
  }

  /**
   * Construcotr with message
   * @param message the message
   */
  public NoSuitableComponentException(final String message) {
    super(message);
    reason = -1;
  }
  
  /**
   * Constructor with message and reason
   * @param message the message
   * @param reason the reason
   */
  public NoSuitableComponentException(final String message, int reason) {
    super(message);
    this.reason = reason;
  }
  
  /**
   * Returns the code for the reason for the exception
   * @return the reason
   */
  public int getReason() {
    return reason;
  }

}