/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.dialog.swing.utils;

import fdda.dialog.swing.WindowManager;

import javax.swing.JOptionPane;

/**
 * Implementation of the notification interface for the swing component.
 * @author Jrg Rdenauer
 */
public class Notification extends fdda.utils.Notification {

    /*
     *  (non-Javadoc)
     * @see fdda.utils.Notification#showMessage(int, int, java.lang.String, java.lang.String, java.lang.String[])
     */
    protected int showMessage(int type, int source, final String title,
                              final String message, final String[] buttons) {
      int result = 0;
      switch (type) {
        case M_QUESTION:
          result = JOptionPane.showOptionDialog(
                   WindowManager.getInstance().getMainFrame(),
                   message,
                   title,
                   JOptionPane.DEFAULT_OPTION,
                   JOptionPane.QUESTION_MESSAGE,
                   null,
                   buttons,
                   null);
          break;
        case M_WARNING:
          result = JOptionPane.showOptionDialog(
                   WindowManager.getInstance().getMainFrame(),
                   message,
                   title,
                   JOptionPane.DEFAULT_OPTION,
                   JOptionPane.WARNING_MESSAGE,
                   null,
                   buttons,
                   null);
          break;
        case M_ERROR:
          result = JOptionPane.showOptionDialog(
                   WindowManager.getInstance().getMainFrame(),
                   message,
                   title,
                   JOptionPane.DEFAULT_OPTION,
                   JOptionPane.ERROR_MESSAGE,
                   null,
                   buttons,
                   null);
          break;
        case M_CONFIRM:
          result = JOptionPane.showOptionDialog(
                   WindowManager.getInstance().getMainFrame(),
                   message,
                   title,
                   JOptionPane.DEFAULT_OPTION,
                   JOptionPane.INFORMATION_MESSAGE,
                   null,
                   buttons,
                   null);
          break;
        default: assert false;
      }
      return result;
    }
    
    /*
     *  (non-Javadoc)
     * @see fdda.utils.Notification#indicateState(boolean)
     */
    protected void indicateState(boolean occupation) {
      if (occupation) {
        WindowManager.getInstance().getMainFrame().setCursor(
          new java.awt.Cursor(java.awt.Cursor.WAIT_CURSOR));
      }
      else {
        WindowManager.getInstance().getMainFrame().setCursor(
          new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
      }
    }

}
