/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.graphics;

/**
 * Interface for components that represent working parts in the model.
 * @author Jrg Rdenauer
 */
public interface WorkingPart {

  /**
   * Returns whether the component is working.
   * @return whether the component is working
   */
  boolean isWorking();

  /**
   * Sets whether the component is working.
   * @param working whether the component is working
   */
  void setWorking(boolean working);
}