/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.graphics.java2d;

import fdda.graphics.ComponentVisitor;

/**
 * Extends the visitor interface for the components specific to the Java2d
 * graphics.
 * @author Jrg Rdenauer
 */
public interface Java2DComponentVisitor extends ComponentVisitor {

  /**
   * Visit a point.
   * @param point the point
   * @return depends on subclass
   */
  Object visitPoint(Point point);

  /**
   * Visit a segment of a line
   * @param segment the segment
   * @return depends on subclass
   */
  Object visitLineSegment(LineSegment segment);
}