/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.model;

/**
 * The interface for a part of a model that can be in two states: working or
 * not working. E.g., it is possible for a node or a connection to fail, and 
 * the algorithm should react properly.
 * @author Jrg Rdenauer
 */
public interface WorkingPart {

  /** name of the 'working' property */
  String WORKING_PROPERTY_NAME = "working";

  /**
   * Returns whether the part is currently working.
   * 
   * @return whether the part is working
   */
  boolean isWorking();

  /**
   * Sets whether the part is currently working.
   * 
   * @param working whether the part is working
   */
  void setWorking(boolean working);

}