/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.plugins;

/**
 * Interface for plug-ins that load algorithms
 * @author Jrg Rdenauer
 */
public interface AlgorithmLoader extends Plugin {
  
  /**
   * Searches in its storage location for algorithms and loads them into the
   * instance of fdda.algorithms.Algorithms.
   * @param errorHandler object that handles errors
   */
  void searchForAlgorithms(ErrorHandler errorHandler);
}
