/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.plugins;

/**
 * Exception that is thrown if a plugin doesn't support the currently used
 * components for graphics or dialog.
 * @author Jrg Rdenauer
 */
public class ComponentNotSupportedException extends Exception {

  /**
   * Constructor for ComponentNotSupportedException.
   */
  public ComponentNotSupportedException() {
    super();
  }

  /**
   * Constructor for ComponentNotSupportedException.
   * @param message the message
   */
  public ComponentNotSupportedException(String message) {
    super(message);
  }

  /**
   * Constructor for ComponentNotSupportedException.
   * @param message the message
   * @param cause the cause
   */
  public ComponentNotSupportedException(String message, Throwable cause) {
    super(message, cause);
  }

  /**
   * Constructor for ComponentNotSupportedException.
   * @param cause the cause
   */
  public ComponentNotSupportedException(Throwable cause) {
    super(cause);
  }

}
