/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.plugins.xmlreader;

import fdda.plugins.ProjectInformation;

import java.util.Date;

/**
 * Simple implementation of project information interface
 * @author Jrg Rdenauer
 */
class ProjectInformationImpl implements ProjectInformation {

  /** the processing time */
  private Date processingTime;
  
  /** the location */
  private String location;
  
  /** the name of the project */
  private String name;
  
  /**
   * Constructor
   */
  public ProjectInformationImpl() {
    processingTime = new Date();
    location = "";
    name = "";
  }

  /*
   *  (non-Javadoc)
   * @see fdda.plugins.ProjectInformation#getLocation()
   */  
  public String getLocation() {
    return location;
  }

  /*
   *  (non-Javadoc)
   * @see fdda.plugins.ProjectInformation#getName()
   */
  public String getName() {
    return name;
  }

  /*
   *  (non-Javadoc)
   * @see fdda.plugins.ProjectInformation#getProcessingTime()
   */
  public Date getProcessingTime() {
    return processingTime;
  }

  /**
   * Sets the location
   * @param string the location
   */
  public void setLocation(String string) {
    location = string;
  }

  /**
   * Sets the name
   * @param string the name
   */
  public void setName(String string) {
    name = string;
  }

  /**
   * Sets the processing time 
   * @param date the time
   */
  public void setProcessingTime(Date date) {
    processingTime = date;
  }

}
