/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
package fdda.propertyTypes;

import fdda.dialog.swing.properties.OiCellEditor;
import fdda.model.Property;

import fdda.propertyTypes.implementations.StringEditor;
import fdda.propertyTypes.implementations.StringGenerator;

/**
 * Type 'String' for properties. The facets 'MIN_VALUE' and 'MAX_VALUE' for the
 * String type determine minimum and maximum length of the String.
 * @author Jrg Rdenauer
 */
public class StringType extends AbstractPropertyType {

  /*
   *  (non-Javadoc)
   * @see fdda.propertyTypes.PropertyType#getCellEditor(fdda.model.Property, java.lang.Object)
   */
  public OiCellEditor getCellEditor(Property inProperty, Object value) {
    return new StringEditor(inProperty, value, 
      (StringGenerator) getTypeGenerator());
  }

  /*
   *  (non-Javadoc)
   * @see fdda.propertyTypes.PropertyType#getTypeGenerator()
   */
  public TypeGenerator getTypeGenerator() {
    if (generator == null) {
      generator = new StringGenerator();
    }
    return generator;
  }

}
