/*
    Copyright (C) 2004  [Jrg Rdenauer]
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    
*/
 
package fdda.utils;

/**
 * Disaster that is thrown if a component is not initialized before it is used.
 * (Disasters are errors that prevent a component from working at all.) It is
 * derived from RuntimeException and therefore needs not be declared in the 
 * 'throws' list.
 * 
 * @author Jrg Rdenauer
 */
public class ComponentNotInitializedDisaster extends RuntimeException {

  /**
   * Default constructor without parameters.
   */
  public ComponentNotInitializedDisaster() {
  }

  /**
   * Constructor with the 'message' parameter. The message can be localized 
   * already.
   * 
   * @param message the message that describes the disaster.
   */
  public ComponentNotInitializedDisaster(String message) {
    super(message);
  }
  
}